> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dimepayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Customer

> Show a specific customer's details



## OpenAPI

````yaml https://app.dimepayments.com/openapi.yaml get /api/customer/show
openapi: 3.0.3
info:
  title: Dime Payments API Documentation
  description: >-
    A simple, basic API for managing Merchants through Dime Payments. JSON based
    REST API
  version: 1.0.0
servers:
  - url: https://app.dimepayments.com
security:
  - default: []
tags:
  - name: Merchant management
    description: ''
  - name: Transaction management
    description: >-

      APIs for managing transactions.  Depending on API KEY permissions, one
      should be able to

      charge credit cards, ACH, Google/Apple Pay wallets along with other
      functions.
  - name: Addresses
    description: |-

      APIs for managing customer addresses
  - name: Customer management
    description: >-

      APIs for managing customers.  Depending on API KEY permissions, one should
      be able to

      list, create, update, and delete customers along with several other
      customer specific requests.
  - name: Deposit management
    description: ''
  - name: Invoice management
    description: >-

      APIs for managing invoices. Depending on API KEY permissions, one should
      be

      able to list, create, update, delete, and send invoices, manage their line

      items, and manage recurring-invoice schedules. Every request is scoped to
      a

      single Merchant via the required `data.sid`.
  - name: Payment Method management
    description: >-

      APIs for managing payment methods associated with customers.  Depending on
      API KEY permissions, one should be able to

      list, show, create, update, and delete payment methods.
  - name: Recurring Payments management
    description: >-

      APIs for managing recurring payments.  Depending on API KEY permissions,
      one should be able to

      create, edit, pause, cancel along with other functions.
  - name: Zapier
    description: >-

      APIs for use through Zapier.  Depending on API KEY permissions, one should
      be able to

      see customers and transactions data.
paths:
  /api/customer/show:
    get:
      tags:
        - Customer management
      summary: Show Customer
      description: Show a specific customer's details
      operationId: showCustomer
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  description: ''
                  example: []
                  properties:
                    sid:
                      type: integer
                      description: The SID of the Merchant.
                      example: 12345
                  required:
                    - sid
                filters:
                  type: object
                  description: ''
                  example: []
                  properties:
                    phone:
                      type: string
                      description: >-
                        A phone number to filter customers by. Must be in the US
                        format e164.
                      example: '+15555555555'
                    email:
                      type: string
                      description: >-
                        An email address to filter customers by. Must comply
                        with RFC email format.
                      example: example@example.com
                    uuid:
                      type: string
                      description: >-
                        A UUID to filter customers by. Must comply with UUID
                        format.
                      example: 60dac128-28da-41ae-8632-aee299de13fd
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    uuid: 66f1c230-68cf-4d58-b47c-1bcb83adfddd
                    first_name: Ryan
                    last_name: Taylor
                    phone: '+17707892072'
                    email: rtaylor82@gmail.com
                    addr1: 4655 Hwy 136 W
                    addr2: ''
                    addr3: ''
                    city: Dawsonville
                    state: GA
                    zip: '30534'
                    country: USA
                properties:
                  data:
                    type: object
                    properties:
                      uuid:
                        type: string
                        example: 66f1c230-68cf-4d58-b47c-1bcb83adfddd
                        description: Unique User ID of customer
                      first_name:
                        type: string
                        example: Ryan
                        description: First name of customer
                      last_name:
                        type: string
                        example: Taylor
                        description: Last name of customer
                      phone:
                        type: string
                        example: '+17707892072'
                        description: Unique phone number of customer
                      email:
                        type: string
                        example: rtaylor82@gmail.com
                        description: Email address of customer
                      addr1:
                        type: string
                        example: 4655 Hwy 136 W
                        description: Address line 1 of customer
                      addr2:
                        type: string
                        example: ''
                        description: Address line 2 of customer
                      addr3:
                        type: string
                        example: ''
                        description: Address line 3 of customer
                      city:
                        type: string
                        example: Dawsonville
                        description: Customer's
                      state:
                        type: string
                        example: GA
                        description: Customer's
                      zip:
                        type: string
                        example: '30534'
                        description: Customer's
                      country:
                        type: string
                        example: USA
                        description: Customer's
        '400':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: ''
                    type: object
                    example:
                      message: Validation errors
                    properties:
                      message:
                        type: string
                        example: Validation errors
                  - description: ''
                    type: object
                    example:
                      data:
                        message: No such Merchant
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: No such Merchant
        '401':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: ''
                    type: object
                    example:
                      data:
                        message: Permission Denied.
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Permission Denied.
                  - description: ''
                    type: object
                    example:
                      data:
                        message: Merchant or Affiliate check failed
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Merchant or Affiliate check failed
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token under your profile in top right</b>.

````